import pygame
from fontfactory import GameText
from constants import COLOR, SCREEN


class Hud(object):
    def __init__(self):
        self.score = GameText("Score: 0")
        self.score.size = 28
        self.score.left = 0 + 8
        self.score.top = 8
        self.score.color = COLOR.white

        self.score.create()

    def update(self, score):
        self.score.text = "Score: " + str(score)
        self.score.update()

    def draw(self, screen):
        self.score.draw_to(screen)